curl --request GET \
--url https://us.api.flexprice.io/v1/v1/subscription-schedules/{id}import requests
url = "https://us.api.flexprice.io/v1/v1/subscription-schedules/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://us.api.flexprice.io/v1/v1/subscription-schedules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"can_be_cancelled": true,
"cancelled_at": "2023-11-07T05:31:56Z",
"configuration": {},
"created_at": "2023-11-07T05:31:56Z",
"days_until_execution": 123,
"error_message": "<string>",
"executed_at": "2023-11-07T05:31:56Z",
"execution_result": {},
"id": "<string>",
"metadata": {},
"schedule_type": "plan_change",
"scheduled_at": "2023-11-07T05:31:56Z",
"status": "pending",
"subscription_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}Get subscription schedule
Use when you need to load a single scheduled change (e.g. to show when a plan change or renewal takes effect).
Path Parameters
Schedule ID
Response
OK
Full details of a subscription schedule
can_be_cancelled indicates if the schedule can be cancelled
cancelled_at is when the schedule was cancelled
configuration contains type-specific configuration (e.g., target_plan_id for plan changes)
created_at timestamp
days_until_execution is the number of days until execution
error_message contains the error if execution failed
executed_at is when the schedule was executed
execution_result contains type-specific execution result
id of the schedule
metadata from the schedule
Show child attributes
Show child attributes
plan_change, cancellation scheduled_at is when the schedule will execute
pending, executing, executed, cancelled, failed subscription_id is the ID of the subscription
updated_at timestamp

